# Class TCefGenericTask

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTask

## Declaration

`type TCefGenericTask = class(TCefChromiumTask)`

## Description

This item has no description. Showing description inherited from TCefChromiumTask.

Custom class used to execute CEF tasks with a TChromiumCore component.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefTaskOwn
- TCefManagedTask
- TCefChromiumTask
- TCefGenericTask

## Overview

### Fields

| `FTaskID: cardinal;`

### Methods

| `procedure Execute; override;`
| `constructor Create(const aEvents : IChromiumEvents; aTaskID : cardinal); reintroduce;`

## Description

### Fields

| `FTaskID: cardinal;`
This item has no description.

### Methods

| `procedure Execute; override;`
This item has no description. Showing description inherited from ICefTask.Execute. Method that will be executed on the target thread.

| `constructor Create(const aEvents : IChromiumEvents; aTaskID : cardinal); reintroduce;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.